Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

List Schema Fields (/v2/crm/entity-schema)

Prev Next
Get
/v2/crm/entity-schema

Retrieves a list of the object schema fields.

When accessed using a bearer token, this endpoint requires the scope 'api:crm:schema'.

Example

Request

GET https://api.gong.io/v2/crm/entity-schema?integrationId=6286478263646&objectType=ACCOUNT

Response

{ "requestId": "afjkzqkqglog7ueki5", "objectTypeToSelectedFields": { "ACCOUNT": [ { "name": "accountTypePicklist", "label": "Account Type", "type": "PICKLIST", "lastModified": null, "isDeleted": false, "referenceTo": null, "orderedValueList": null }, { "name": "accountTypePicklist2", "label": "Account Type2", "type": "PICKLIST", "lastModified": null, "isDeleted": false, "referenceTo": null, "orderedValueList": null }, { "name": "fooBar", "label": "Foo Bar", "type": "STRING", "lastModified": null, "isDeleted": false, "referenceTo": null, "orderedValueList": null } ] }}
Query parameters
integrationId
integer (int64) Required

Integration ID generated when creating the integration

objectType
stringRequired

Type of object to retrieve the schema fields for (case-sensitive).
Omitting this parameter returns the schema for all object types.

Valid values[ "ACCOUNT", "CONTACT", "DEAL", "LEAD" ]
Responses
200

Successfully retrieved crm schema fields

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
objectTypeToSelectedFields
object

selectedFields

property*
Array of object (GenericSchemaFieldRequest) additionalProperties

selectedFields

object

selectedFields

uniqueName
string

The unique name of the field in the CRM system

Exampleaccountowner
label
string

The label to use in the UI for this field

ExampleAccount Owner
type
string

The field type (case-sensitive). Must be one of the types listed above.

Valid values[ "DATE", "DATETIME", "NUMBER", "PERCENT", "CURRENCY", "ID", "URL", "STRING", "BOOLEAN", "PHONENUMBER", "EMAILADDRESS", "PICKLIST", "REFERENCE", "STRINGARRAY" ]
ExampleREFERENCE
lastModified
string

The date and time the schema was last modified.
Valid format: ISO-8601 format without milliseconds e.g., "2020-12-17T13:45:01Z"

Example2020-12-17T13:45:01Z
isDeleted
boolean

When true, deletes the field from the schema and its value is removed from all objects. Use with caution

Examplefalse
referenceTo
string

The object type this field refers to. Required for field of type REFERENCE. Must be one of "ACCOUNT", "CONTACT", "DEAL", "LEAD" or "USER"

ExampleUSER
orderedValueList
Array of string

The list of values for the field. Required for PICKLIST fields

Example[ "Analyst", "Competitor", "Customer", "Integrator", "Investor", "Partner", "Other" ]
string

The list of values for the field. Required for PICKLIST fields

Example["Analyst","Competitor","Customer","Integrator","Investor","Partner","Other"]
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string